apiVersion: v1
kind: Service
metadata:
  name: user-postgresql-external
spec:
  ports:
  - name: tcp-postgresql
    port: 5432
    protocol: TCP
    targetPort: tcp-postgresql
  selector:
    app.kubernetes.io/component: primary
    app.kubernetes.io/instance: user
    app.kubernetes.io/name: postgresql
  sessionAffinity: None
  type: LoadBalancer
